apache2 使用するphpのバージョンを変更する

apache2 使用するphpのバージョンを変更する

ubuntu20.10でphp8では動かないアプリがあったので、apache2で使用するphpバージョンする手順を記述してます。phpは8.0と7.4をインストールしてます。

環境

  • OS Ubuntu 20.10
  • php 8.0 or 7.4

バージョン変更

ここではphp8.0から、php7.4へバージョンを変更します。

まずは、使用しているphpのバージョンを無効にします。

次に、使用するphpのバージョンを有効にします。

※エラーが出る場合は、以下のモジュールをインストールしてください。

apacheを再起動します。

これでapacheで使用するphpのバージョンが変更されます。